<?
require 'sys/inc/start.php';
require 'sys/inc/compress.php';
require 'sys/inc/sess.php';
require 'sys/inc/home.php';
require 'sys/inc/settings.php';
require 'sys/inc/db_connect.php';
require 'sys/inc/ipua.php';
require 'sys/inc/fnc.php';
require 'sys/inc/user.php';
only_reg();
$set['title']='Приветствие странички'; // заголовок страницы
require 'sys/inc/thead.php';
title();

if (isset($_POST['save'])){
if (isset($_POST['privet']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['privet']))))<=512)
{
$user['privet']=mysql_real_escape_string(htmlspecialchars($_POST['privet']));
mysql_query("UPDATE `user` SET `privet` = '".my_esc($user['privet'])."' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='Нужно писать меньше :)';
if (!isset($err))msg('Приветствие странички успешно изменен');
}
echo "<form method='post' action='?'>\n";
echo "Текст приветствие:<br />\n<input type='text' name='privet' value='$user[privet]' maxlength='512' /><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
require 'sys/inc/tfoot.php';
?>